USBPrtDrv

Printer Driver Installer (Version 1.13)

Printer Driver Installer Introduction

Introduction

Operating System

Printer Driver Installation

Silent Installation

Printers with a parallel port

Printers with a serial port

Printers with a NET port

Printers with a USB port

Install Multi-USB printers

Printer Setting

Printer Setting

Printer Driver Uninstalling

Printer Driver Uninstalling

Release Notes

Release Notes

Appendices

FAQ

How to print self-test page

How to get the identification name of USB printer

Barcode Character Sets and Data Input Rules

CODE128 character sets table

How to use the driver in Windows Vista

How to use the driver in Windows 7

How to install USB printer mode driver in Windows 8


USBPrtDrv

Printer Driver Installer

Introduction

This installer is used to install the Windows printer driver for RP-600 printer. In order to use the software correctly, please read the detailed information carefully.

Features: This release supports the use of Multi-USB printers without losing track of the port assignments.

Printers with a USB port require a USB device driver and printers equipped with a parallel port require an additional step as well. Please see the installation instructions for more details.

Printers with a parallel port

Printers with a serial port

Printers with a NET port

Printers with a USB port

Function

This installer is used to install the Windows printer driver. In order to use the software correctly and to take full advantage of its functions, be sure to read this manual.

Printers

The following printers can be installed with this printer installer:

RP-600

Release information

Installer Version 1.13

Release date: 01/06/2013(MM/DD/YYYY)

Changes:

  • Fixed a bug that Utility prints junk characters after windows driver printed a job.

Installer Version 1.12

Release date: 12/17/2013(MM/DD/YYYY)

Changes:

  • Add "72x3276mm" paper size.

Installer Version 1.11

Release date: 09/26/2013(MM/DD/YYYY)

Changes:

  • Modify print Logo description.

Installer Version 1.10

Release date: 09/12/2013(MM/DD/YYYY)

Changes:

  • Fix one bug about USB Language-Monitor with Windows x64 bit systems.

Installer Version 1.09

Release date: 05/29/2013(MM/DD/YYYY)

Changes:

  • Add Traditional-Chinese support.

Installer Version 1.08

Release date: 04/28/2013(MM/DD/YYYY)

Changes:

  • Add call Logo function.

Installer Version 1.07

Release date: 04/16/2013(MM/DD/YYYY)

Changes:

  • Upgrade the serial port driver.

Installer Version 1.06

Release date: 02/26/2013(MM/DD/YYYY)

Changes:

  • Update the Guide.

Installer Version 1.05

Release date: 02/16/2013(MM/DD/YYYY)

Changes:

  • Fixed 1 bug and Update the Guide.

Installer Version 1.04

Release date: 01/23/2013(MM/DD/YYYY)

Changes:

  • Fixed COM Port Monitor bug and update the Guide.

Installer Version 1.03

Release date: 01/15/2013(MM/DD/YYYY)

Changes:

  • Change the COM and USB Port Monitor.

Installer Version 1.02

Release date: 12/20/2012(MM/DD/YYYY)

Changes:

  • Fixed few bugs.

Installer Version 1.01

Release date: 11/20/2012(MM/DD/YYYY)

Changes:

  • Update USB device driver.

Installer Version 1.0

Release date: 11/09/2012(MM/DD/YYYY)

Changes:

  • First release of a driver installer, the installer replaces all the individual driver sets into a simple to use application.


USBPrtDrv

Printer Driver Installer

Operating System

Supporting the following operating systems:

32bit OS:

• Windows 8
• Windows 7
• Windows Server 2008
• Windows Vista
• Windows Server 2003
• Windows XP Professional
• Windows XP Home Edition
• Windows 2000 Server
• Windows 2000 Professional
• Windows Embedded POSReady 2009
• POSReady 7

64bit OS:

• Windows 8 x64
• Windows 7 x64
• Windows Server 2008 x64
• Windows Vista x64
• Windows Server 2003 x64
• Windows XP x64

Note: We recommend to install all proper system updates to avoid known operating system problems that may affect the functionality of our device and printer drivers. The recommended service pack (SP) level for each operating system is: Windows XP Professional SP1 , SP2 or SP3, Windows XP Home Edition SP1 , SP2 or SP3, Windows 2000 Server SP4, Windows 2000 Professional SP4.

Printer firmware release

Version 1.021 or higher, See Appendix Print self-test page on how to check the printer firmware.

Compatibility

The installation package and the related documents apply to printers with the firmware version 1.000 and higher. If you use the previous version, please contact the technical support to receive the files and instructions to install the previous released device and printer drivers.


LPTPrtDrv

Printer Driver Installation

Printers with a parallel port

The installation for parallel port printer driver requires two steps: Step 1 installation of the parallel device drivers, and step 2 installation of the printer driver. Both are supplied with this driver installer.

If the parallel interface mode of the printer is Nibble or Byte, when the printer is connected to PC for the first time, the system will recognize it as a new device and start the "Add New Hardware Wizard".

There are two types to install the printer driver: typical installation and advanced installation. Please refer to "W hen to use "Advanced Installation" mode".

Typical Installation

 1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer" . Click on "Next" button.

2. Select the setup type "Typical", then click on "Next" button.

3. Select the current system, and then click on "Next" button. (windows 2000 not supported 64bit OS.)

4. Set printer port, select port "LPT1" as printer port, and then click on "Install" button to start the installation.

Advanced Installation

1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer". Click on "Next" button.

2. Select the setup type: "Advanced" , then click on "Next" button.

3. Select the current system, and then click on "Next" button.(windows 2000 not supported 64bit OS.)

4. Set printer driver mode and printer port. We recommend you to select "Raster Graphic Printing". The default print port is "LPT1". Click on "Install" button to end the installation.

Checked Raster Graphic Printing Mode: In this mode the printing speed is higher.

Unchecked Raster Graphic Printing Mode : In this mode the printer supports bar code printing.

We recommend "Raster Graphic Printing" mode.


LPTPrtDrv

Silent Installation

Silent Installation

1.Run "Silent_Setup.exe" in "RP-600 Windows Driver V1.13". Default port type is USB in the installing. If you will change port type , open "DRVCONFIG\PrinterConfig.ini"and modify the port ( "[BasicSettings]"-->"Port" ).

2.If the printer is USB interface, Please connect USB cable to printer and power on it, then you can run "Silent_Setup.exe" to install.

Notice: You can read the "Silent_Setup.Log" file to check whether the driver install successfully or unsuccessfully.


COMPrtDrv

Printer Driver Installation

Printers with a serial port

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

There are two types to install the printer driver: Typical installation and Advanced installation. Please refer to " When to use "Advanced Installation" mode".

Remark: For printers with a serial port (using a COM port in Windows), the "Advanced installation mode" does not support different settings for the printer driver output mode, so the two installation modes of typical installation and advanced installation are the same.

Typical Installation

1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed. If you want to set the current printer as the default printer, check "Set As Default Printer" button. Click on "Next" button.

2. Select the setup type: "Typical" , then click on "Next" button.

3. Select the current system and click on "Next" button.(windows 2000 not supported 64bit OS.)

4. Set printer port, select "PTTCOMx" in 32bits OS; select "COMx" in 64bit OS. After COM port setting, click on "Install" to start the installation.

Advanced Installation

The same as the installation steps of "Typical Installation".


NETPrtDrv

Printer Driver Installation

Printers with a NET port

There are two types to install the printer driver: typical installation and advanced installation.Please refer to "W hen to use "Advanced Installation" mode".

Typical Installation

 1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer" . Click on "Next" button.

2. Select the setup type "Typical", then click on "Next" button.

3. Select the current system, and then click on "Next" button.( Not support windows 2000 in 64bit OS )

4. Set printer port, select port "NET" as printer port, and then set IP Address, then click on "Install" button to start the installation.

Advanced Installation

1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then click on "Set As Default Printer" . Click on "Next" button.

2. Select the setup type: "Advanced", then click on "Next" button.

3. Select the current system, and then click on "Next" button.( Not support windows 2000 in 64bit OS )

4. Set printer driver mode and printer port. We recommend you to select "Raster Graphic Printing". select port "NET" as printer port, and then set IP Address. Click "Install" to start the installation.

Checked Raster Graphic Printing Mode: In this mode the printing speed is higher.

Unchecked Raster Graphic Printing Mode : In this mode the printer supports bar code printing.

We recommend "Raster Graphic Printing" mode.


USBPrtDrv

Printer Driver Installation

Printers with a USB port

Read this first if you plan a system with multiple USB printers

Important notices:

1. When you install the printer driver, you can only connect one printer to PC during system setup as instructed.

2. After close printer, restart the printer after 5 seconds when make the USB printer driver uninstall normally.

3. Mark each printer with a label after installing driver to properly identify each printer as setup during the installation. If you change the identification of a printer, please mark it with a label to avoid confusion during setup, usage and maintenance.

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

The installation for USB port printer driver requires two steps: Step 1 the installation of the USB device driver, and step 2 installation of the printer driver. Both are supplied with this driver installer.

Step 1:Install USB device driver

Auto Install USB device driver

Connect your printer to PC. The Plug and Play recognized it as a new USB device. Click "Cancel ", then install the printer driver, USB device driver will be installed during installing the printer driver. You can also install USB device driver according to the following step.

Install USB printer device driver on Windows 7

1. Connect your printer to PC. Click on menu "Start"-> "Control Panel"->"System".

2. Click on "Device Manager" button, then right click on "Unknown device" and update driver software, just like the picture below show.

3. Click on "Browse my computer for driver software", just like the picture below show.

4. A new Window will pop-up "Update Driver Software". Click on "Browse...", a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. This is directory is by default "...\usbdrv\USBDriver" or "...\usbdrv\USBDriver_x64". In the directory is a "INF" file listed. Select this file. If the file cannot be found then please reinstall the USB drivers to a location which can be easily found and repeat these steps.

5. Click on "Install this driver software anyway", just like the picture below show.

6. Click on "Close" button to complete the installation.

Install USB printer device driver on Windows Vista, Windows Server 2008

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights, please contact the system administrator who can assist you with this procedure.

1. Connect your printer to PC. The Plug and Play recognize it as a new USB device. At the beginning, the "Add New Hardware Wizard" will rise;

2. Select "Install from a list or specific location", click on "Next";

3. Select "Search for the best driver in these locations", Click on "Include this location in the search", then Click on "Browse...", a Window will pop-up "Browse for Folder", browse to directory in which the printer device driver is stored. click on "Next";

4. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the driver;

5. Click on "Finish" to complete the installation.

When you connect the USB printer to another USB port of PC, the system will again recognize the USB device and Pop-up "Add New Hardware Wizard". Select "Automatic installation" and click on "Next", the wizard will search driver automatically, pop-up signature page after the wizard has searched the driver, click on "Yes", and click "Finish" to end the installation.

Install USB printer device driver on Windows XP, Windows Server 2003

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights, please contact the system administrator who can assist you with this procedure.

1. Connect your printer to PC. The Plug and Play recognize it as a new USB device. At the beginning, the "Add New Hardware Wizard" will rise;

2. Select "Install from a list or specific location", click on "Next";

3. Select "Search for the best driver in these locations", Click on "Include this location in the search", then Click on "Browse...", a Window will pop-up "Browse for Folder", browse to directory in which the printer device driver is stored. Click on "Next";

4. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the driver;

5. Click on "Finish" to complete the installation.

When you connect the USB printer to another USB port of PC, the system will again recognize the USB device and Pop-up "Add New Hardware Wizard". Select "Automatic installation" and click on "Next", the wizard will search driver automatically, pop-up signature page after the wizard has searched the driver, click on "Yes", and click "Finish" to end the installation.

Install USB printer device driver on Windows 2000

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights, please contact the system administrator who can assist you with this procedure.

1. Connect your printer to PC. The Plug and Play recognize it as a new USB device. At the beginning, the "Add New Hardware Wizard" will rise. Click on "Next" to start the installing;

2. Select "Search for the best driver for your device", click on "Next";

3. Select "Specify a location", click on "Browse" button, a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. Click on "Next";

4. Click on "Next", and then click on "Yes" button. The "Hardware Update Wizard" will now continue to install the driver;

5. Click on "Finish" to complete the installation.

Step 2:Install USB printer driver

Connect one printer to PC, and then install the driver. The default printer inner name of RP-600 is RP-600 (U) 1.

There are two types to install the printer driver: typical installation and advanced installation. Please refer to "When to use "Advanced Installation" mode".

Typical Installation

1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer", click on "Next" button.

2. Select the setup type: "Typical" , click on "Next" button.

3. Select the current system, and then click on "Next" button.

4. Set printer port, select "PTTUSB1", click on "Install" button to start the installation.

Advanced Installation

1. Run "RP-600 Windows Driver V1.13\Setup.exe". Select the install module and the name of the printer that will be installed, if you want to set the current printer as the default printer, then check "Set As Default Printer", click "Next" button.

2. Select the setup type: "Advanced" , click on "Next" button.

3. Select the current system and click "Next" button.

4. Set the printer driver mode.

Checked Raster Graphic Printing Mode: In this mode the printing speed is comparatively faster.

Unchecked Raster Graphic Printing Mode: In this mode the printer supports bar code printing.

We recommend "Raster Graphic Printing" mode.

5. Set the printer port. Select "PTTUSBx" as printer port.

6. You will see a warning. Do the following steps according to the notice then click on "Install" button to start the installation.

7. If the name of port (PTTUSBx) can not match the name of the current printer, the system will inform you that the printer inner name will be changed. Click on "Yes" button to continue if you want to change the inner name of the printer, at the same time the installation ends; otherwise click on "No" button to return to the main interface, select other port and continue the installation.

If you want to install Multi-USB printers, please refer to "Install Multi-USB printers".

8. If you change the inner name of printer, advise to mark the name of current printer with a label.

Install Multi-USB printers

Introduction

Usually we only use one printer on one system. You do not have to read this whole section if that describes your application. But some users may want to use more than one same kind of USB printers on one system for different purposes. Therefore, we give a feasible solution to meet this requirement. The innovation with one printer works always out of the box without advanced installation requirements. This example describes how a setup for four USB printers will work. It is similar for parallel and serial printers.

Naming Conventions

To ease the reading please note that the naming conventions are chosen closely to the actual printer model numbering and new port name assignment (created) in Windows:

  • A printer is starting with its model number; "RP-600", for example "RP-600(U) 1". Where the "(U)" stands for USB and the "1" stands for its sequential number or identifier;
  • The port numbering starts with its port technology; "USB", for example "PTTUSB1". Where "RP-600" stands for the printer model for this port assignment and "1" stands for the printer identification.

System Preparations

The first step to assure the application is setup consistently and easy to manage, the user should configure the printers to make sure that he knows which one is used for what and to number them as well. Please follow the following steps.

1) Put the printers on your desks with your computer.

2) Make four labels with the names RP-600(U) 1, RP-600(U) 2, RP-600(U) 3 and RP-600(U) 4. Of course the names may also be more descriptive for the actual application so that it is easier to be used in an actual installation. However we advice to at least put these strings on them since they match the port names that Windows will create once the system is configured properly. Attach the labels onto the printers, preferably visible and without the need that one has to search for it.

Remark: you can not use two or more USB printers with the same identification at the same time.

The installation process is guided by this example to make it easier to understand the process to complete this installation.

The default identification of the RP-600 printer with USB port is "RP-600(U) 1". To have reliable and maintainable recognizing, the printer identification will be set as the same as the printer name during the installation. If you want to resume the primary name of the printer, please refer to "How to get the identification of USB printer" and " When to set the identification of a printer and how to do this".

Connection Table

Now you already have four different printers labeled RP-600(U) 1, RP-600(U) 2, RP-600(U) 3 and RP-600(U) 4 and four different printer drivers named RP-600(U) 1, RP-600(U) 2, RP-600(U) 3 and RP-600(U) 4 as well. They are obviously matched by their names. In short, printing to printer RP-600(U) 1(2,3 or 4) will go to the printers labeled RP-600(U) 1(2,3 or 4) as setup. The installer creates printers with matching names in the "Printers" folder. This makes system setup, driver installation and maintenance a lot easier. This description is guiding you toward the following setup table. You can change names of installed printer drivers and naming on the printers but this default method makes it quite easy to maintain. The driver installer will generate the names so that it will not require the user to perform keyboard input during the installation.

Printer Name (Label)

Printers (Folder)

Port Number (Printer)

RP-600(U) 1

RP-600(U) 1

PTTUSB1

RP-600(U) 2

RP-600(U) 2

PTTUSB2

RP-600(U) 3

RP-600(U) 3

PTTUSB3

RP-600(U) 4

RP-600(U) 4

PTTUSB4

This setup assures that whenever you connect your printer to the computer and whichever USB port you have plugged your printer in, it will still work without complications. Even if you make changes in the hardware configuration of your computer. It has become independent from system and configuration changes.

Install printer driver

During the installation, you can only connect one printer to system, and disconnect the other printers. If on this system the device drivers have not been installed before, then please refer to "Installation USB device driver for USB port" to install USB device driver before continuing this installation.

Install driver for printer RP-600(U) 1:

  • Connect RP-600(U) 1 printer to PC;
  • Use "Advanced installation" to install driver. Details refer to "Advanced installation". Select "PTTUSB1" as printer port at step 6 of "Advanced installation", and continue to finish the installation;
  • The driver name of installed printer: RP-600(U) 1.

Install driver for RP-600(U) 2 printer:

  • Connect RP-600(U) 2 printer to PC;
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "PTTUSB2" as printer port at step 6 of "Advanced installation", and continue to finish the installation;
  • The driver name of installed printer: RP-600(U) 2.

Install driver for RP-600(U) 3 printer:

  • Connect RP-600(U) 3 printer to PC;
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "PTTUSB3" as printer port at step 6 of "Advanced installation", and continue to finish the installation;
  • The driver name of installed printer: RP-600(U) 3.

Install driver for RP-600(U) 4 printer:

  • Connect RP-600(U) 4 printer to PC;
  • Use "Advanced installation" to install driver. Details refers to "Advanced installation". Select "PTTUSB4" as printer port at step 6 of "Advanced installation", and continue to finish the installation;
  • The driver name of installed printer: RP-600(U) 4.

Application

Connect the 4 printers to the same PC, you can control each printer with corresponding driver.

During the installation of the printer driver, the installation program has build corresponding relationships among printer driver name, printer port name and printer name (identification) as follows:

Printing with this system

An example using Microsoft Word: When you want to print a document, first select the printer, for example RP-600(U) 1 as current printer, to do this you select the corresponding printer driver of RP-600(U) 1. When you print, the printer driver RP-600(U) 1 will send data through the port of PTTUSB1 to the printer labelled RP-600(U) 1. The printer RP-600(U) 1 will print and finish the printing job.

It is the same step if you select RP-600(U) 2 printer, the printing job will be sent to printer labelled RP-600(U) 2, not another printer. This specific function is called Multi-printer for printers of the same model in the same system, without disturbing each other.


PropertySheet

Printer Setting

Notice: The pictures may be different from the current printer. The pictures are only used for reference.

Properties:

Utility:
By clicking the Utility tab, the user can access the printer utility. The user can click "SelfTest" button to check whether the printer's communication settings is correct, the user can also input the custom paper size (Width and Height in 0.1mm) of the "Custom Paper -PrinterName" form and then click "Save Paper Size" button to save the setting.

Download:
By clicking the Download tab, the user can download various files to the printer, such as firmware files (Update the printer's firmware if needed), font files (Update the printer's hardware resident fonts), Click "Logo Download" to operate logos in printer.

Font:
By clicking the Font tab, the user can view the printer support hardware resident fonts.

Version:
By clicking the Version tab, the user can obtain the driver's version information.

Printing Preferences:

Main:
By clicking the Main tab, the user can select the printer's paper size, and whether print all text as graphics image.

Notice: 1. The "Record driver data" function does not support Windows 2000 OS.

2.You should turn off the UAC (User Account Control) when you use this function in Windows 7/8 OS. (How to turn off the UAC?)

Water Mark:
By clicking the Water Mark tab, the user can select the watermark (picture or text) to print on the paper, and adjust the watermark's position , size, brightness and so on.

Note: When the user check "Image Water Mark" or "Text Water Mark" radio button, a message box will be shown like the picture below if the user have checked the "No" button in the Main tab.

In this case, the program automatically check the "Yes" button and disable both "Yes" and "No" button in the Main tab ,this mean all the hardware resident fonts will be printed as normal fonts.

In order to reuse the hardware resident fonts, the user should check "No Water Mark" button in the Water Mark tab, then both "Yes" and "No" button in the Main tab is enabled, then check "No" button.

Operation:
By clicking the Operation tab, the user can set the operations at document or page start/end, the user can realize those operations by the operation page just as the following picture shows.

In each operation dialog you can send command, open the drawer, enable buzzer, cut paper, print logo and so on.

Barcode:
By clicking the Barcode tab, the user can select from 8 Device Fonts for printing Barcode, and set the Type and parameters for the 8 Device Fonts.

Font Name: Pull down the Barcode list to select the Device Font for Barcode printing. There are 8 Device Fonts to select from 1D Code1 to 1D Code8. By selecting one of them, the user can set the other items.

Type: By pulling down the Type list, the following Barcode Types can be selected: UPC-A, UPC-E, EAN8, EAN13, Code39, ITF, Codabar, Code93, Code128.

Element Width: The user can set the Barcode Element Width in dots. Click the spin button to increase or decrease the Element Width. The Element Width range is from 2 dots to 6 dots.

Element Height: The user can set the Barcode Element Height in dots. Click the spin button to increase or decrease the Element Height. The Element Height range is from 1 dot to 255 dots.

HRI Position: Pull down the HRI position list to select the HRI position for printing Barcode. There are four options: Not printed, Above the Barcode, Below the Barcode and Both above and below the Barcode.

HRI Font: Selects the fonts for HRI. There are two HRI Font options. The user can select either Font A or Font B.

 2D-Code:
By clicking the 2D-Code tab, the user can select from 2 kinds of Device Font for printing 2D-Code, and set its Type and necessary parameters for printing.

Font Name: Pull down the 2D-Code list to select the Device Font for printing 2D-Code. There are 2 kinds of Device Font to select from: 2D-Code1, 2D-Code2. By selecting one, the user can then set the other items.

Type: Pull down the Type list to select the 2D-Code Type. The following Types can be selected: PDF417.

Column: By clicking the spin button, the user can set the PDF417 Column for printing. Setting range is from 1 to 30.

Row: By clicking the spin button, the user can set the PDF417 Row for printing. The Setting range is from 3 to 90.

Element Width: By clicking the spin button, the user can set the PDF417 Width for printing. The setting range is from 1 to 7.

Element Height: By clicking the spin button, the user can set the PDF417 Height for printing. The setting range is from 2 to 25.

Error Correction: Pull down the Error Correction Level list to select PDF417 Error Correction Level. There are 9 levels to select from Error Correction Level 0 to Error Correction Level 8.

Version:
By clicking the Version tab, the user can obtain the driver's version formation.

Advanced Options:

Paper size:
The user can also select the printer's paper size in here, it has the same effect to the select paper size operation in Main tab.

Print Density:
The user can change the printer's print density here.


Printer Driver Uninstall

· Uninstall the printer driver by uninstall
· Uninstall the printer driver by manual operation

Uninstall the printer driver by uninstall

1. Run the "Uninstall.exe" to select printers and their components to be uninstalled. You can click "Select All" button to select all;

2. Click "Uninstall" button to uninstall the printer which you have selected;

3. After the uninstalling process is finished, please click "Yes" to restart the computer so that the changes can take effect.

Notice: 1. The part of using the USB printer in printer/WinDriver mode need to uninstall by manual operation in Windows Vista/Windows Server 2008/Windows 7.

2. Except the USB printer in printer/WinDriver mode must be uninstalled by manual operation, the printer driver of the other mode and ports can be uninstalled by "Uninstall.exe".

Uninstall the printer driver by manual operation

U ninstall the printer driver in Windows 7

1. Open the "Devices and Printers" window in the Windows 7, choose the printer which to be uninstalled, and then choose "Print server properties" just like the picture below show.

2. Choose the "Drivers" in the top of the dialog box, click the "Change Driver Settings" in the bottom left corner. Just like the picture below show:

3. Choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...". Just like the picture below show:

4. Choose "Remove driver and driver package" in the dialog box. Just like the picture below show:

U ninstall the printer driver in Windows Server 2008

1. Open the "Printers" window in Windows Server 2008, choose the printer which to be uninstalled, right-hand button click to choose" Remove device", and then choose "Server Properties";

2. Choose the "Drivers" in the top of the dialog box, choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...";

3. Choose "Remove driver and driver package" in the dialog box.

U ninstall the printer driver in Windows Vista

1. Open the "Printers" window in Windows Vista, choose the printer which to be uninstalled, right-hand button click to choose "Run as administrator->Remove device", and then choose "Run as administrator->Server Properties";

2. Choose the "Drivers" in the top of the dialog box, choose the printer driver which to be uninstalled in the new dialog box, and then choose "Remove...";

3. Choose "Remove driver and driver package" in the dialog box.


remarks

Release Notes

  1. When to use "Advanced Installation" mode?
  2. The function of driver mode option of "Raster Graphic Mode printing"
  3. Why waiting such a long time during installation?
  4. When to set the identification of a printer and how to do this?
  5. When will the confirm information of changing the inner name of printer Pop-up?

1. When to use "Advanced Installation" mode ?

Advanced installation: mainly for the customers with special requirements for the printer driver, this installation mode supports Multi-USB printer installation and driver output mode settings.

Advanced installation mode can support Multi-USB printers of the same model in the same system by setting the printer name and installing corresponding printer driver. During the installation, according to the requirements, the installer will set the USB printer name for easy maintenance and usage.

Advanced installation mode supports setting function on the driver output mode for those user who use Parallel or USB printers. According to application, users can select the right output driver; if you want to print bar supplied by the driver then you must uncheck "Raster Graphic mode". In case you want to print bar codes rendered as graphics by the application then you should check "Raster Graphic mode".

2. The function of driver output mode option of "Raster Graphic Mode printing"

Raster Graphics Mode printing: When printing, all the content on the page is rendered into graphics data and the send to the printer. This is the fastest printing method when using parallel and USB communication ports.

  • Advantage: highest rate of Graphics processing by utilizing the PC's CPU combined with a high-speed communication port , result in high-speed Graphics printing;
  • Disadvantage: all the content needed to be printed is changed into Raster Graphics data, and can not use the printer device fonts and bar codes; in this mode, the printer should has high communication speed with a parallel and USB port, so this mode does not suit printers with low-speed communication ports such as serial port printer.

Application: printer with a USB port or a parallel port.

Non Raster Graphic Mode Printing: This is a mixed printing mode, the driver will translate all the page content into different sections. All the content needed to be printed into Graphics data is send separately from the character data or bar code data before it is send to the printer.

  • Advantage: usage of printer device fonts and barcodes, high-speed character and barcode printing;
  • Disadvantage: slower rate of processing and sending Graphics, low speed of Graphics printing.

Application: serial printer; Parallel printer or USB printer (for inner font printing and bar code printing).

3. Why waiting such a long time during installation?

To install printer driver under Windows XP and other systems, it may take a long time. There are two possible reasons: one is the shortage of system resources; the other is the program to upgrade relevant components, this upgrade needs much time in Windows, so please wait patiently. If there is no response after waiting long time, please close the program and restart the PC to reinstall the driver.

4. When to set the identification of a printer and how to do this?

Note: this section only applies to systems with multiple USB printers. Installations with only one USB printer or printers with other communication ports are not affected.

If a USB printer needs to be replaced, the identification name of new printer may not match the identification name of replaced printer, in this case you should set the name of the printer.

Method to set the identification name of the printer:

To set the printer name by using driver installation program.

  • connect the printer to PC;
  • using "Advanced installation" mode to install driver, details refer to " Advanced installation" mode. Select USB port that should match the name of target printer as printer port at step 7 of "Advanced installation" mode, for example, if the target printer name is "RP-600(U) 3", then please select "PTTUSB3" as printer port, the program will give you the information on changing the printer name, click "Yes" to continue, and the program will change the identification name of printer, then you can continue the other step to complete the installation.;
  • Please do not forget to mark the printer with label, and then finish the setup.

5. When will the confirm information of changing the inner name of printer Pop-up?

When you install driver for USB port printer, if the port name you select (e.g. PTTUSB3) does not match the current printer name (e.g. RP-600(U) 1), the program will show you the information to change the printer name, click "Yes" to continue, the program will change the printer identification name (the changed identification will match the port name, i.e. "RP-600(U) 3").


FAQ

Appendix: FAQ

A.1 When serial printer prints junk characters, how to solve it?

Most common the reason of printing junk characters is that the setting of serial port is incorrect. First you should make the printer print self-test page to get the setting information. Please refer to "Print self-test page".

Please set correctly the COM port based on the setting information on the self-test page to ensure the printer can work normally.

A.2 Why not permit to connect two or more USB printers with the same identification name to PC?

Because the recognition on a USB printer is based on different identification names of the printer, when you connect two or more printers with the same identification name to a PC, then there is only one printer that can work normally. Usually, it is the last printer that connects to PC that will work as expected. So, if you can not send the print job to the right printer, please check and confirm whether you have connected two or more printers with the same identification name to PC. To get the identification name of the printer you can refer to "how to get the identification name of USB printer".

A.3 How to use the network printing server of other brands with the RP-600?

To use a network printing server ,following these steps:

  • To install the server driver, you should refer to the user's manual given by the manufacturer. Normally, when you install the server driver, the IP address or other relevant name will be added in the printer port list as the name of printer port. To have a clear description, we name them as printing server port;
  • According to the type of printing port you use (such as parallel printer), please run the setup.exe to install the printer driver( select LPT1 as printer port for parallel printer);
  • Select the printing server port as the printing port in the printer driver property menu.

A.4 How to set the timeout of parallel communication?

When you print with serial port or parallel port, sometimes you may have printing problems because of a timeout. In this case, you can solve this problem by setting the timeout. The setting is different in different Windows system, select your operating system and follow the steps:

Windows 2000

  • Click on "start", point to " Settings", and then click on "Printers";
  • Click on the printer with the right key of the mouse, click on "Properties", then click on "Ports", select the port to be set and click on "Configure Port";
  • Enter the new time in the edit box of "Transmission retry" (unit: second), then click on "OK".

Windows XP, Windows Server 2003

  • Click on "start" and "Printers and Faxes";
  • Click on the printer with the right key of the mouse, click on "Properties", click on "Port", select the port to be set, and click on "Configure Port";
  • Enter the new time in the edit box of "Transmission retry" (unit: second), then click on "OK".

Windows Vista, Windows Server 2008

  • Click on "start" and then "Control Panel", then double click on “Printers”;
  • Click on the printer with the right key of the mouse, point to “Run as administrator”, and then click on "Properties", there will be a warning dialog box, ignore it, just click on “continue”, then click on "Port", select the port to be set, and click on "Configure Port";
  • Enter the new time in the edit box of "Transmission retry" (unit: second), then click on "OK".

Windows 7

  • Click on "start" and then "Control Panel", then double click on “Printers”;
  • Click on the printer with the right key of the mouse, point to “Run as administrator”, and then click on "Properties", there will be a warning dialog box, ignore it, just click on “continue”, then click on "Port", select the port to be set, and click on "Configure Port";
  • Enter the new time in the edit box of "Transmission retry" (unit: second), then click on "OK".

Windows 8

  • Move the mouse to the lower right corner, when the setting icon appear, click "Settings".
  • Click on "Control Panel" and then "View devices and printers";
  • Click on the printer with the right key of the mouse, point to ¡°Run as administrator¡±, and then click on "Properties", there will be a warning dialog box, ignore it, just click on ¡°continue¡±, then click on "Port", select the port to be set, and click on "Configure Port";
  • Enter the new time in the edit box of "Transmission retry" (unit: second), then click on "OK".

A.5 How to create the custom paper size?

Please confirm the driver has been installed correctly before setting paper.

Windows 2000,Windows XP, Windows Server 2003

  • Ensure system is running:
  • Click "Start" button;
  • Click "Printers" icon in "Settings" item, or in WinXp Click "Printers and Faxes" icon;
  • Click "File" in main menu;
  • Click "Server Properties";
  • Select "Create a New Form" in the item of "Forms", fill in "Form Description", then define Paper Size and print Area Margins;
  • Click "Save Form" button and click "OK" button.

Windows Vista, Windows Server 2008

In Windows Vista and Windows Server 2008, select "Start"-->"Control Panel"-->"Hardware and Sound", another steps same to windows xp.

Windows 7

  • Ensure system is running:
  • Click "Start" button;
  • Click "Devices and Printers" icon in "Settings" item;
  • Click one printer icon;
  • Click "Print Server Properties";
  • Click "Change Form Settings";
  • Select "Create a New Form" in the item of "Forms", fill in "Form Description", then define Paper Size and print Area Margins;
  • Click "OK" button.

Windows 8

  • Ensure system is running:
  • Move the mouse to the lower right corner, when the setting icon appear, click "Settings".
  • Click "Control Panel" ;
  • Click "View devices and printers";
  • Click one printer icon;
  • Click "Print Server Properties";
  • Click "Change Form Settings";
  • Select "Create a New Form" in the item of "Forms", fill in "Form Description", then define Paper Size and print Area Margins;
  • Click "OK" button.

¡¡


TestPage

Appendix: Print self-test page

How to print self-test page

1. Connect the power of your printer, if the printer is power on, please switched it off;

2. Press and hold the feed paper button while you switched the printer on, the printer will print self-test page;

3. Continue to press the feed paper button to get more information, or you can power off the printer to finish printing.


GetUSBPrtID

Appendix: How to get the identification name of USB printer?

How to get the identification of USB printer

The default identification name of a USB printer is "RP-600(U) 1", this name may be changed when you install the driver, the user can get the identification name of the printer through two methods below.

  • By printing a self-test page

The self-test page includes the identification name of printer, please refer to "Print self-test page".

  • By using the printer driver installation program

Connect the USB printer to PC, power the printer on, and then run the setup.exe in "Advanced installation" setup. In the step to "setting printer port", the displayed port name is matching the current identification name of the printer( for example, if the identification name of printer is RP-600(U) 2, the displayed port name will be PTTUSB2). After getting the identification name, click on "Cancel" to quit installation.


CODEBARS

Appendix: Barcode Character Sets and Data Input Rules

1. CODE128

CODE128 has 106 different printed character patterns. Each printed character can have one of three different meanings, depending on the context selector. Three different start characters tell the reader the character set used in the following encoding. Code128 includes three character sets among which character set A and B are used to encode alpha-numeric information while character set C offers double density when being used to encode numeric data.

See Appendix : CODE128 character sets table

Note: Each CODE128 barcode must start with a start character" {A", "{B" or" {C" without the quotes.

2. CODABAR

CODABAR has a character set of 16 letters (0, 1, 2, 3, 4, 5, 6, 7, 8, 9 -, $, :, /, ., + ) and four start/stop characters here referred as A, B, C, D. Each CODABAR barcode must start and stop with one of the four characters A, B, C and D.

Data input pattern: A123456789A , A123456789B , B123456789A ......

3. CODE39

CODE39 is designed to encode 26 upper case letters, 10 digits and 7 special characters.

Upper case letters:

A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z

Numbers:

0, 1, 2, 3, 4, 5, 6, 7, 8, 9

Special characters:

-, ., *, $, /, +, %, SPACE.

Note: The asterisk (*) is only used as a start/stop character.

Do not input the asterisk when inputting the encoded data, the system will automatically add asterisks pre and after the encoded data. Data input patterns:123ABC

4. CODE93

Comparing to CODE39, CODE93 provides higher density and data security. In addition to encode 26 upper case letters, 10 digits and 7 special characters, CODE93 also defines 5 special control characters: " [image] ", " [image] ", " [image] " " [image] " and" [image] " . " [image] " represents start/stop characters while the last four characters ( value: 43, 44, 45, 46) can be combined with other characters to unambiguously represent all 128 ASCII characters.

Upper case letters:

A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z

Numbers:

0, 1, 2, 3, 4, 5, 6, 7, 8, 9

Special characters:

-, ., *, $, /, +, %, SPACE.

Special control characters:

and [image] .

Note: When " [image] " is used as stop sign, it must be followed with a termination bar. It's not necessary to input the start\stop character when inputting the encoded data. Data input pattern: ABC123 .

5. ITF

Interleaved 2 of 5 (ITF) is a continuous, length unfixed and self-checked numeric symbology an ITF character set only includes 10 digit characters: 0~9. It is called interleaved because 2 characters are encoded in a unit of 5 bars and spaces. The even position character is encoded into bars while the odd position character is encoded into spaces. Thus, interleaved 2 of 5 symbology can only encode data elements with even number length. In case of encoding data elements with odd number length, a zero "0" must be added to the most left of the data elements. A ITF barcode has the structure of a start character (bsbs: two narrow bars and by two narrow spaces), message encoded and a stop character (bbsb: one wide bar and narrow bar and one space).

Data input pattern:123456789

6. EAN13

EAN13 is a continuous, length-fixed numeric symbology (standard 13 digits numeric barcode). A EAN-13 symbol is divided into two halves, each consisting of six digits separated by a center guard bar pattern. Digits in the left halve are encoded with character set A or B while those in the right halve are encoded with character set C. The thirteen (13) digit is a check digit and is not encoded. Its value hide in the odd and even permutation of the digits in the left halve.

Its character set consist of the 10 numbers characters (0,1,2,3,4,5,6,7,8,9)

Date input pattern : 1234567890123 ( must be 12 or 13 digits).

7. EAN8

An EAN8 number contains 8 digits which are separated into two halves by a center guard bar pattern. The four digits in the left halve are encoded with character set A while the four digits in the right halve are encoded with character set C.

Its character set consist of the 10 numbers characters (0, 1,2,3,4,5,6,7,8,9).

Data input pattern:12345678 (must be 7 or 8 digits).

8. UPC-A

UPC-A is a continuous, length-fixed (12 digits) , numeric symbology and its character set is 10 numbers (0,1,2,3,4,5,6,7,8,9). It is divided into two equal parts and separated by a center guard bar pattern, each consisting of 6 digits and the digits on the left side are encoded with character set A while those on the right side are encoded with character set C.

Its character set consist of the 10 numbers characters (0, 1,2,3,4,5,6,7,8,9).

Data input pattern:123456789012 (must be 11 or 12 digits).

9. UPC-E

UPC-E is a continuous numeric symbology and a UPC-E number consists of 6 digits (3 odd characters and 3 even characters). The permutation of the odd and even characters implies the seventh digit-check digit.

Its character set consist of the 10 numbers characters (0, 1,2,3,4,5,6,7,8,9).

Data input pattern:023456789012 (must be 11 or 12 digits with the first number always be zero (0).)


Code128 characters

Appendix: CODE128 character sets table

Character set A (ASCII value) | Character set B (ASCII value) | Character set C | Value
SPACE (20H) | SPACE (20H) | 00 | 0
! (21H) | ! (21H) | 01 | 1
“ (22H) | “ (22H) | 02 | 2
# (23H) | # (23H) | 03 | 3
$ (24H) | $ (24H) | 04 | 4
% (25H) | % (25H) | 05 | 5
& (26H) | & (26H) | 06 | 6
‘ (27H) | ‘ (27H) | 07 | 7
( (28H) | ( (28H) | 08 | 8
) (29H) | ) (29H) | 09 | 9
* (2AH) | * (2AH) | 10 | 10
+ (2BH) | + (2BH) | 11 | 11
, (2CH) | , (2CH) | 12 | 12
- (2DH) | - (2DH) | 13 | 13
. (2EH) | . (2EH) | 14 | 14
/ (2FH) | / (2FH) | 15 | 15
0 (30H) | 0 (30H) | 16 | 16
1 (31H) | 1 (31H) | 17 | 17
2 (32H) | 2 (32H) | 18 | 18
3 (33H) | 3 (33H) | 19 | 19
4 (34H) | 4 (34H) | 20 | 20
5 (35H) | 5 (35H) | 21 | 21
6 (36H) | 6 (36H) | 22 | 22
7 (37H) | 7 (37H) | 23 | 23
8 (38H) | 8 (38H) | 24 | 24
9 (39H) | 9 (39H) | 25 | 25
: (3AH) | : (3AH) | 26 | 26
; (3BH) | ; (3BH) | 27 | 27
< (3CH) | < (3CH) | 28 | 28
= (3DH) | = (3DH) | 29 | 29
> (3EH) | > (3EH) | 30 | 30
? (3FH) | ? (3FH) | 31 | 31
@ (40H) | @ (40H) | 32 | 32
A (41H) | A (41H) | 33 | 33
B (42H) | B (42H) | 34 | 34
C (43H) | C (43H) | 35 | 35
D (44H) | D (44H) | 36 | 36
E (45H) | E (45H) | 37 | 37
F (46H) | F (46H) | 38 | 38
G (47H) | G (47H) | 39 | 39
H (48H) | H (48H) | 40 | 40
I (49H) | I (49H) | 41 | 41
J (4AH) | J (4AH) | 42 | 42
K (4BH) | K (4BH) | 43 | 43
L (4CH) | L (4CH) | 44 | 44
M (4DH) | M (4DH) | 45 | 45
N (4EH) | N (4EH) | 46 | 46
O (4FH) | O (4FH) | 47 | 47
P (50H) | P (50H) | 48 | 48
Q (51H) | Q (51H) | 49 | 49
R (52H) | R (52H) | 50 | 50
S (53H) | S (53H) | 51 | 51
T (54H) | T (54H) | 52 | 52
U (55H) | U (55H) | 53 | 53
V (56H) | V (56H) | 54 | 54
W (57H) | W (57H) | 55 | 55
X (58H) | X (58H) | 56 | 56
Y (59H) | Y (59H) | 57 | 57
Z (5AH) | Z (5AH) | 58 | 58
[ (5BH) | [ (5BH) | 59 | 59
\ (5CH) | \ (5CH) | 60 | 60
] (5DH) | ] (5DH) | 61 | 61
^ (5EH) | ^ (5EH) | 62 | 62
_ (5FH) | _ (5FH) | 63 | 63
NUL (00H) | ` (60H) | 64 | 64
SOH (01H) | a (61H) | 65 | 65
STX (02H) | b (62H) | 66 | 66
ETX (03H) | c (63H) | 67 | 67
EOT (04H) | d (64H) | 68 | 68
ENQ (05H) | e (65H) | 69 | 69
ACK (06H) | f (66H) | 70 | 70
BEL (07H) | g (67H) | 71 | 71
BS (08H) | h (68H) | 72 | 72
HT (09H) | i (69H) | 73 | 73
LF (0AH) | j (6AH) | 74 | 74
VT (0BH) | k (6BH) | 75 | 75
FF (0CH) | l (6CH) | 76 | 76
CR (0DH) | m (6DH) | 77 | 77
SO (0EH) | n (6EH) | 78 | 78
SI (0FH) | o (6FH) | 79 | 79
DLE (10H) | p (70H) | 80 | 80
DC1 (11H) | q (71H) | 81 | 81
DC2 (12H) | r (72H) | 82 | 82
DC3 (13H) | s (73H) | 83 | 83
DC4 (14H) | t (74H) | 84 | 84
NAK (15H) | u (75H) | 85 | 85
SYN (16H) | v (76H) | 86 | 86
ETB (17H) | w (77H) | 87 | 87
CAN (18H) | x (78H) | 88 | 88
EM (19H) | y (79H) | 89 | 89
SUB (1AH) | z (7AH) | 90 | 90
ESC (1BH) | { (7BH) | 91 | 91
FS (1CH) | | (7CH) | 92 | 92
GS (1DH) | } (7DH) | 93 | 93
RS (1EH) | ~ (7EH) | 94 | 94
US (1FH) | DEL (7FH) | 95 | 95
FNC3 | FNC3 | 96 | 96
FNC2 | FNC2 | 97 | 97
Shift | Shift | 98 | 98
CODE C | CODE C | 99 | 99
CODE B | FNC4 | CODE B | 100
FNC4 | CODE A | CODE A | 101
FNC1 | FNC1 | FNC1 | 102
START CODE A | START CODE A | START CODE A | 103
START CODE B | START CODE B | START CODE B | 104
START CODE C | START CODE C | START CODE C | 105
STOP | STOP | STOP | 106


Vista

Appendix: How to use the driver in Windows Vista

This instruction is created to show how to use the driver in Windows Vista, because in Windows Vista, UAC (User Account Control) is turned on by default, so there's something different in Windows Vista.

Notice: The pictures may be different from the current printer. The pictures are only used for referrence.

Click on the links below to view FAQ in Windows Vista:

· How to set the size of "Custom Paper -PrinterName".
· How to set watermark.
· How to use watermark in application.
· How to turn off the UAC (User Account Control).

How to set the size of "Custom Paper -PrinterName".

In Windows Vista, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to select "Run as administrator" manual to obtain permission even the user have logged on as administrator, just like the picture below show.

After the user make the "Properties" menu selection, Windows Vista will pop-up a "User Account Control" dialog box, and show the information "Windows need your permission to continue", click “Continue”, and then click the "Utility" tab.

Input the custom paper size (Width and Height in 0.1mm) of the "Custom Paper -PrinterName" form and click "Save Paper Size" button to save the setting.

How to set watermark.

In Windows Vista, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to select "Run as administrator" manual to obtain permission even the user have logged on as administrator, just like the picture below show.

After the user make the "Properties" menu selection, Windows Vista will pop-up a "User Account Control" dialog box, and show the information "Windows need your permission to continue", click “Continue”, and then click the "Printing Preferences..." button, Windows Vista will pop-up a Printing Preferences dialog box.

Click "Water Mark" tab.

Select the watermark (picture or text) to print on the paper, and adjust the watermark's position , size, brightness and so on.

How to use watermark in application.

In Windows Vista, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to select "Run as administrator" manual to obtain permission even the user have logged on as administrator, if the user want to use the watermark, for example, in Microsoft Office Word, the user should first enter the Microsoft Office Word installed directory ( usually C:\Program Files\Microsoft Office\OFFICE11), find the "WINWORD.EXE" and then click mouse right button, select the "Run as administrator" menu item just like the picture below show, Windows Vista will pop-up a "User Account Control" dialog box, and show the information "Windows need your permission to continue", click “Continue”.

NOTE: After the user click "Continue" button, the Microsoft Office Word application have obtain the administrator permission, then the user can double click on any file which can be opened by Microsoft Office Word, and use the watermark print function. It means: the user have to do this to obtain the permission, but luckily, the user just need to do once.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Turn User Account Control on or off".

Uncheck the "Use User Account Control (UAC) to help protect your computer" check box, click "OK" button.

Click "Restart Now" button to restart the computer to make the change take effect.


USBPrtDrv

Appendix: How to use the driver in Windows 7

This instruction is created to show how to use the driver in Windows 7, because in Windows 7, UAC (User Account Control) is turned on by default, so there's something different in Windows 7.

Notice: The pictures may be different from the current printer. The pictures are only used for referrence.

Click on the links below to view FAQ in Windows 7:

· How to change the serial port parameters in Windows 7.
· How to turn off the UAC (User Account Control).

How to change the serial port parameters in Windows 7.

In Windows 7, UAC (User Account Control) is turned on by default (see how to turn off UAC, click here), so the user need to run as administrator to obtain permission even the user have logged on as administrator, pitch on the printer that you have installed, click on "Print server properties" button, just like the picture below show.

Click on "Change Port Settings" button to run as administrator.

Select the current port that you want to configure, then click on "Configure Port" button.

After finished configuring the parameters, click on "OK" button, just like the picture below show.

How to turn off the UAC (User Account Control).

If the user want to turn off the UAC (it will rise the risk of computer), the user can enter to the control panel, and then do like the picture below show.

Double click on "User Accounts" button.

Click on "Change User Account Control settings".

Drag the scroll bar to "Never notify", click "OK" button.

Restart the computer to make the change take effect.


USBPrtDrv

Appendix: How to install USB printer mode driver in Windows 8

How to install USB printer mode driver in Windows 8.

In Windows 8, move the mouse to the lower right corner, when the setting icon appear, click it, just like the picture below show.

Click on "Change PC Settings" , just like the picture below show.

Click on "General" button, then click on "Restart now " in left dialog ,just like the picture below show.

Click on "Troubleshoot" button, just like the picture below show.

Click on "Advanced options" button, just like the picture below show.

Click on "Startup Settings", just like the picture below show.

Click on "Restart", just like the picture below show.

After restart the computer, click "7)Disable driver signature enforcement ", just like the picture below show.

Run "RP-600 Windows Driver V1.13\Setup.exe" to install USB class mode printer driver.


How connect 4 devices

How to Fix Communication Port Reassignments (for up to four printers)

Introduction

Usually we only use one printer on one system. You do not have to read this whole section if that describes your application. But some users may want to use more than one same kind of USB printers on one system for different purposes. Therefore, we give a feasible solution to meet this requirement. This example describes how a setup for four USB printers will work. It is similar for parallel and serial printers.

Naming Conventions

To ease the reading please note that the naming conventions are chosen closely to the actual printer model numbering and new port name assignment (created) in Windows:

  • A printer is starting with its model number; "PrinterName", for example "PrinterName(U) 1". Where the "(U)" stands for USB and the "1" stands for its sequential number or identifier.
  • The port numbering starts with its port technology; "USB", for example "USB_PrinterName_1". Where "PrinterName" stands for the printer model for this port assignment and "1" stands for the printer identification.

System Setup

The first step to assure the application is setup consistently and easy to manage, the user should configure the printers to make sure that he knows which one is used for what and to number them as well. Please follow the following steps.

1) Put the printers on your desks with your computer.

2) Make four labels with the names PrinterName(U) 1, PrinterName(U) 2, PrinterName(U) 3 and PrinterName(U) 4. Of course the names may also be more descriptive for the actual application so that it is easier to be used in an actual installation. However we advice to at least put these strings on them since they match the port names that Windows will create once the system is configured properly. Attach the labels onto the printers, preferably visible and without the need that one has to search for it. An actual label may look like this:

Application Label for POS system with more then one receipt printer.

3) Connect the printer labeled PrinterName(U) 2 to your computer. For the first time you should install your USB device driver (see for details in Printer with USB Port). Remember that you may only connect one printer to your system at the same time as long as the printer setup and system configuration is not finished.

4) After the printer has received its proper ID, disconnect the printer from the computer and turn it off.

5) Repeat steps 3 to 5 for the printers named PrinterName(U) 3 and PrinterName(U) 4.

Up to now you have finished your printer setup.

Printer Driver Installation

Now it is time to install the printer drivers.

1) Connect the printer labeled PrinterName(U) 1 to your computer and switch it On.

2) Run the utility Setup.exe which is in your installation package (see for details Printer with USB Port).

3) Choose printer in the printer name list.

4) Choose USB_PrinterName_1 as USB port of the printer PrinterName(U) 1. However, for PrinterName(U) 2, PrinterName(U) 3 and PrinterName(U) 4 you must select their corresponding port numbers: USB_PrinterName_2, USB_PrinterName_3 and USB_PrinterName_4.

5) Disconnect the printer labeled PrinterName(U) 1 from the computer after you have successfully installed the driver.

6) Repeat steps 1 to 5 for the printers labeled PrinterName(U) 2, PrinterName(U) 3 and PrinterName(U) 4. Please do not forget to select their corresponding ports numbers during step 4.

How to Use It

Now you already have four different printers labeled PrinterName(U) 1, PrinterName(U) 2, PrinterName(U) 3 and PrinterName(U) 4 and four different printer drivers named PrinterName(U) 1, PrinterName(U) 2, PrinterName(U) 3 and PrinterName(U) 4 as well. They are obviously matched by their names. In short, printing to printer PrinterName(U) 1(2,3 or 4) will go to the printers labeled PrinterName(U) 1(2,3 or 4) as setup. The installer creates printers with matching names in the "Printers" folder. This makes system setup, driver installation and maintenance a lot easier. This description is guiding you toward the following setup table. You can change names of installed printer drivers and naming on the printers but this default method makes it quite easy to maintain.

Printer Name (Label) | Printers (Folder) | Port Number (Printer)
PrinterName(U) 1 | PrinterName(U) 1 | USB_PrinterName_1
PrinterName(U) 2 | PrinterName(U) 2 | USB_PrinterName_2
PrinterName(U) 3 | PrinterName(U) 3 | USB_PrinterName_3
PrinterName(U) 4 | PrinterName(U) 4 | USB_PrinterName_4

This setup assures that whenever you connect your printer to the computer and whichever USB port you have plugged your printer in, it will still work without complications. Even if you make changes in the hardware configuration of your computer. It has become independent from system and configuration changes.


News

No more hassle with changing USB communications ports

Great innovation for Industrial applications

The innovation covers two areas that will create problems when using today's technologies:

  • Port reassignments
  • Discrimination between similar devices

This technology can be used for serial, parallel and USB devices. But also for other type of communication ports. This release covers a method for serial, parallel and USB devices.

For details how to use this innovation see Install Multi-USB printers for installation details.

Port reassignments

There are many reasons why a port assignment can change and until now there was nothing to fix this. An innovative design has changed this. This innovation solved the growing list of port reassignments that may happen anytime to a regular computer system. Normally this happens without that the user will know it and without affecting his ability to use the system. When using always only one of each device, in most cases Windows will reinstall the software and reconfigures itself to operate normally. But when you use more than one of the same device this changes the systems behavior. Suddenly drives may get a different automatically assigned drive letter, printers may get different ports. Most home users have witnessed this without really knowing it when they use multiple card readers and portable harddisk drives. The effects are mostly just a little bit confusing but will not cause a system to malfunction. With printers in the industry this is a different story. A port reassignment will lead to problems to use the installed printer driver. It will also lead to problems when applications are configured to use a certain port number. The effects are caused by some of the following samples but there are more reasons:

  • Devices are turned off during boot time of the computer may cause a shift in port assignments;
  • Devices are connected to a different USB port and will get a different communications port assignment. Which causes a conflict with the printer driver who still uses the first assigned port. ;
  • New equipment is installed or taken away from the system such as a Bluetooth dongle;
  • Etceteras.

Below is a picture how this innovation assures that the printers are always recognized and receive the appropriate port assignment. Independent from the dynamical way how Windows threads the other port assignments:

Up to four printers can be connected and work independend from the USB hardware port assignment, no more communcation port changes to manage.

Discrimination between similar devices

Each printer will get a unique identifier. When Windows searches for a port assignment, it will recognize the identifier and assign the same port back to the same printer. Everytime the same, no surprises. The features enables the user to create up to four USB connections to the same type of printer for different applications. Besides solving the dynamic port assignment, this innovation also solves yet another issue: how to treat similar devices which are connect to the system and be able to discriminate between them, assigning the correct ports. The user may need two printers with each a different paper for a different application. This method makes this possible.


UpdateUSBDrv

Appendix: How to update USB printer device driver?

This instruction is created to update the USB printer device driver. Make sure that printer is connected and switched on firstly.
Remark: Need to repower the printer after updating the driver.

Click on the links to jump to the installation instructions:

· Update USB printer device driver on Windows 2000
· Update USB printer device driver on Windows XP/Server 2003
· Update USB printer device driver on Windows Vista/Windows Server 2008
· Update USB printer device driver on Windows 7

Update USB printer device driver on Windows 2000

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

1. Connect printer to PC.;

2. Click on menu "Start", "Programs", "Accessories", application "Windows Explorer";

3. In the "Windows Explorer" click on "My Computer", "Control Panel", and double click on "System";

4. Click on the "Hardware" tab, and then "Device Manager" button;

5. In the "Device Manager" browse down to "Universal Serial Bus controllers";

6. Click on the plus sign "+" or double click on the description to expand the device tree under "Universal Serial Bus controllers". In this tree are all installed USB device drivers listed. If the USB device driver has been installed correctly it will be listed as "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers";

7. To update the printer device driver select the "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers", right click on it and select "Properties", then click on "Driver" table, and then click on the "Update Driver" button;

8. Follow the "Hardware Update Wizard" Window which will pop-up after step seven. Select "Display a list of known drivers for this device so that I can choose a specific driver", click on "Next";

9. Wait for the next screen, this may take up to several minutes;

10. This Window will show compatible hardware. Please do not use the hardware shown since this selection caused the computer to lockup. Click on "Have Disk...";

11. A new Window will pop-up "Install From Disk". Click on "Browse...", a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. This is directory is by default "...\usbdrv\USBDriver" or "...\usbdrv\USBDriver_x64". In the directory is a "INF" file listed. Select this file. If the file cannot be found then please reinstall the USB drivers to a location which can be easily found and repeat these steps;

12. Click on "Open", the "Locate File" Window closes. Click on the the "Install From Disk" Window on "OK";

13. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the selected drivers;

14. Click on "Finish" to complete the installation.

Update USB printer device driver on Windows XP/Server 2003

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

1. Click on menu "Start", "All Programs", "Accessories", application "Windows Explorer";

2. In the "Windows Explorer" click on "My Computer", "Control Panel", and double click on "System";

3. Click on the "Hardware" tab, and then "Device Manager" button;

4. In the "Device Manager" browse down to "Universal Serial Bus controllers";

5. Click on the plus sign "+" or double click on the description to expand the device tree under "Universal Serial Bus controllers". In this tree are all installed USB device drivers listed. If the USB device driver has been installed correctly it will be listed as "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers";

6. To update the printer device driver select the "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers", right click on it and select "Properties", then click on "Update Driver";

7. Follow the "Hardware Update Wizard" Window which will pop-up after step six. Select "Install from a list or specific location (Advanced)", click on "Next";

8. On the next screen, select "Don't search. I will choose the driver to install.", click on "Next";

9. This Window will show compatible hardware. Please do not use the hardware shown since this selection caused the computer to lockup. Click on "Have Disk...";

10. A new Window will pop-up "Install From Disk". Click on "Browse...", a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. This is directory is by default "...\usbdrv\USBDriver" or "...\usbdrv\USBDriver_x64". In the directory is a "INF" file listed. Select this file. If the file cannot be found then please reinstall the USB drivers to a location which can be easily found and repeat these steps;

11. Click on "Open", the "Locate File" Window closes. Click on the the "Install From Disk" Window on "OK";

12. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the selected drivers;

13. Click on "Finish" to complete the installation.

The new name listed in the device tree under "Universal Serial Bus controllers" is "USB Device Driver for POS/KIOSK Printers".

Update USB printer device driver on Windows Vista/Windows Server 2008

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

1. Click on menu "Start", "All Programs", "Accessories", application "Windows Explorer";

2. In the "Windows Explorer" click on "Control Panel", and double click on "System";

3. Click on "Device Manager" button, there will be a warning dialog box, just click “continue”;

4. In the "Device Manager" browse down to "Universal Serial Bus controllers";

5. Click on the plus sign "+" or double click on the description to expand the device tree under "Universal Serial Bus controllers". In this tree are all installed USB device drivers listed. If the USB device driver has been installed correctly it will be listed as "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers";

6. To update the printer device driver select the "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers", right click on it and select "Properties", then click on "Update Driver";

7. Follow the "Hardware Update Wizard" Window which will pop-up after step six. Select "Install from a list or specific location (Advanced)", click on "Next";

8. On the next screen, select "Don't search. I will choose the driver to install.", click on "Next";

9. This Window will show compatible hardware. Please do not use the hardware shown since this selection caused the computer to lockup. Click on "Have Disk...";

10. A new Window will pop-up "Install From Disk". Click on "Browse...", a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. This is directory is by default "...\usbdrv\USBDriver" or "...\usbdrv\USBDriver_x64". In the directory is a "INF" file listed. Select this file. If the file cannot be found then please reinstall the USB drivers to a location which can be easily found and repeat these steps;

11. Click on "Open", the "Locate File" Window closes. Click on the the "Install From Disk" Window on "OK";

12. Click on "Continue Anyway" button. The "Hardware Update Wizard" will now continue to install the selected drivers;

13. Click on "Finish" to complete the installation.

The new name listed in the device tree under "Universal Serial Bus controllers" is "USB Device Driver for POS/KIOSK Printers".

Update USB printer device driver on Windows 7

In order to perform this task please assure that you have administrator and/or power-user privileges. When you do not have these rights then please contact the system administrator so he can assist with this procedure.

1. Connect your printer to PC. Click on menu "Start"-> "Control Panel"->"System".

2. Click on "Device Manager" button, then right click on "By usb developing driver 1.0" or "USB Device Driver for POS/KIOSK Printers" and update driver software, just like the picture below show.

3. Click on "Browse my computer for driver software", just like the picture below show.

4. A new Window will pop-up "Update Driver Software". Click on "Browse...", a Window will pop-up "Locate File", browse to directory in which the printer device driver is stored. This is directory is by default "...\usbdrv\USBDriver" or "...\usbdrv\USBDriver_x64". In the directory is a "INF" file listed. Select this file. If the file cannot be found then please reinstall the USB drivers to a location which can be easily found and repeat these steps.

5. Click on "Install this driver software anyway", just like the picture below show.

6. Click on "Close" to complete the installation.